<?xml version="1.0" encoding="UTF-8"?>
<project>
  <pomVersion>3</pomVersion>

  <name>JMSCTS :: ActiveMQ Provider</name>
  <id>jmscts-activemq</id>
  <currentVersion>1.2-SNAPSHOT</currentVersion>

  <package>org.exolab.jmscts.activemq</package>

  <description>
  	    ActiveMQ provider for the JMSCTS tests
  </description>

  <dependencies>

    <!-- JMSCTS dependencies -->
    <dependency>
      <id>jmscts</id>
      <version>0.5-b2</version>
    </dependency>

    <dependency>
      <id>exolabcore</id>
      <version>0.3.7</version>
      <url>http://openjms.sourceforge.net/</url>
      <properties>
        <runtime>true</runtime>
      </properties>
    </dependency>

    <dependency>
      <id>commons-cli</id>
      <version>1.0</version>
      <url>http://jakarta.apache.org/commons/cli/</url>
      <properties>
        <runtime>true</runtime>
      </properties>
    </dependency>

    <dependency>
      <id>castor</id>
      <version>0.9.5</version>
      <url>http://castor.exolab.org/</url>
      <properties>
        <runtime>true</runtime>
      </properties>
    </dependency>

    <dependency>
      <id>log4j</id>
      <version>1.2.8</version>
    </dependency>

    <dependency>
      <id>xalan</id>
      <version>2.5.1</version>
      <url>http://xml.apache.org/xalan-j/</url>
      <properties>
        <classloader>root</classloader>
        <runtime>true</runtime>
      </properties>
    </dependency>
    <dependency>
      <id>xerces</id>
      <version>2.3.0</version>
      <properties>
        <runtime>true</runtime>
      </properties>
    </dependency>
    <dependency>
      <id>xml-apis</id>
      <version>1.0.b2</version>
      <properties>
        <runtime>true</runtime>
      </properties>
    </dependency>

    
    <!-- ActiveMQ stuff -->
    <dependency>
      <id>activemq</id>
      <version>1.2-SNAPSHOT</version>
    </dependency>

    <dependency>
      <id>geronimo-spec+j2ee</id>
      <version>1.0-M1</version>
    </dependency>

    <dependency>
      <groupId>commons-logging</groupId>
      <artifactId>commons-logging</artifactId>
      <version>1.0.3</version>
      <url>http://jakarta.apache.org/commons/logging/</url>
    </dependency>

    <dependency>
      <id>junit</id>
      <version>3.8.1</version>
      <url>http://www.junit.org/</url>
      <properties>
        <runtime>true</runtime>
      </properties>
    </dependency>

    <dependency>
      <id>concurrent</id>
      <version>1.3.2</version>
    </dependency>

        <!-- default message persistence in Geronimo (due to BSD licence) -->
    <dependency>
      <id>jdbm</id>
      <version>0.20-dev</version>
    </dependency>

    <!-- optional message store: can't be distributed with Geronimo due to LGPL licence -->
    <dependency>
      <id>berkeleydb</id>
      <version>1.5.1</version>
    </dependency>
  </dependencies>

  <build>
    <nagEmailAddress>dev@activemq.codehaus.org</nagEmailAddress>
    <sourceDirectory>src/java</sourceDirectory>
  </build>

  <reports>
    <report>maven-javadoc-plugin</report>
  </reports>
</project>
